PyLoris / News: Recent posts

PyLoris 3.0 Released

The latest version of PyLoris is now version 3.0.

Some of the major inclusions in this release are as follows:
Tkinter based GUI for attacks
Multiple concurrent attack support
ScriptLoris class for easy extension and prepackaged attack creation
libloris module providing attack API

Posted by Motoma 2010-04-08

PyLoris 2.3 Released

PyLoris is a tool for testing a web server's vulnerability certain Denial of Service (DoS) attacks.

The latest version of PyLoris is now version 2.3. Some of the major inclusions in this release are as follows:

Full compatibility with Python 2.4, 2.5, 2.6, 3.0, and 3.1.
Inclusion of the --gzip and --quit flags to help test for the CVE-2009-1891 vulnerability.
Inclusion of the --referer flag for testing systems that are inaccessible to direct access.

Posted by Motoma 2009-07-13

PyLoris 2.0 Released

PyLoris is a tool for testing a web server's vulnerability to Denial of Service (DoS) attacks. It uses the Slowloris method (http://ha.ckers.org/slowloris); by using all available connections web servers cannot complete valid requests.

The latest version of PyLoris supports SSL sockets, giving the tool HTTPS request capability. Additionally, the inclusion of SocksiPy grants full SOCKS4/SOCKS5 functionality, allowing one to run tests through SSH tunnels and TOR.... read more

Posted by Motoma 2009-07-06